package com.hongyegroup.cpt_newsfeed.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.fragment.YYBaseVDBLazyLoadingFragment
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.KeyboardUtils
import com.hongyegroup.cpt_newsfeed.BR
import com.hongyegroup.cpt_newsfeed.R
import com.hongyegroup.cpt_newsfeed.databinding.FragmentNewsfeedFansBinding
import com.hongyegroup.cpt_newsfeed.mvvm.NewsFeedFansViewModel

/**
 * 关注我的人员列表 粉丝列表
 */
class NewsFeedFansFragment : YYBaseVDBLazyLoadingFragment<NewsFeedFansViewModel, FragmentNewsfeedFansBinding>() {

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.fragment_newsfeed_fans, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
    }

    override fun onLazyInitData() {

    }

    override fun startObserve() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        fun selectCountryCode() {
            KeyboardUtils.hideSoftInput(mActivity)
        }

    }

}